| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
IEEE488InstrumentReadWriteTest Class Reference

`#include <CIEEE488InstrumentReadWriteTest.h>`

Inheritance diagram for IEEE488InstrumentReadWriteTest:
[legend]
Collaboration diagram for IEEE488InstrumentReadWriteTest:
[legend]

## Static Protected Member Functions
static void | SetUpTestCase ()
static void | TearDownTestCase ()
static void | SetUpTestCase ()
static void | TearDownTestCase ()

## Static Protected Attributes
static IEEE4888_TEST_RESOURCE_MANAGER_CLASS * | pResourceManager = nullptr
static IEEE4888_TEST_INSTRUMENT_CLASS * | pInstrument = nullptr

## Detailed Description

Definition at line 16 of file CIEEE488InstrumentReadWriteTest.h.

## Member Function Documentation

## ◆ SetUpTestCase() [1/2]

void IEEE488InstrumentReadWriteTest::SetUpTestCase | ( |  | ) |
| inline static protected

Definition at line 22 of file CIEEE488InstrumentReadWriteTest.h.

## ◆ SetUpTestCase() [2/2]

void IEEE488InstrumentReadWriteTest::SetUpTestCase | ( |  | ) |
| inline static protected

Definition at line 22 of file IEEE488InstrumentReadWriteTest.h.

## ◆ TearDownTestCase() [1/2]

void IEEE488InstrumentReadWriteTest::TearDownTestCase | ( |  | ) |
| inline static protected

Definition at line 31 of file CIEEE488InstrumentReadWriteTest.h.

## ◆ TearDownTestCase() [2/2]

void IEEE488InstrumentReadWriteTest::TearDownTestCase | ( |  | ) |
| inline static protected

Definition at line 31 of file IEEE488InstrumentReadWriteTest.h.

## Member Data Documentation

## ◆ pInstrument

IEEE4888_TEST_INSTRUMENT_CLASS * IEEE488InstrumentReadWriteTest::pInstrument = nullptr
| static protected

Definition at line 20 of file CIEEE488InstrumentReadWriteTest.h.

## ◆ pResourceManager

IEEE4888_TEST_RESOURCE_MANAGER_CLASS * IEEE488InstrumentReadWriteTest::pResourceManager = nullptr
| static protected

Definition at line 19 of file CIEEE488InstrumentReadWriteTest.h.

The documentation for this class was generated from the following files:

- Common/IEEE488Instrument/test/CIEEE488InstrumentReadWriteTest.h
- Common/IEEE488Instrument/test/IEEE488InstrumentReadWriteTest.h